Show / Hide Table of Contents

# Class SocketSystemMessage

Represents a WebSocket-based message sent by the system.

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketMessage
SocketSystemMessage

##### Implements

ISystemMessage
IMessage
ISnowflakeEntity
IEntity<System.UInt64>
IDeletable

##### Inherited Members

SocketMessage.Author
SocketMessage.Channel
SocketMessage.Source
SocketMessage.Content
SocketMessage.CreatedAt
SocketMessage.IsTTS
SocketMessage.IsPinned
SocketMessage.IsSuppressed
SocketMessage.EditedTimestamp
SocketMessage.Activity
SocketMessage.Application
SocketMessage.Reference
SocketMessage.Attachments
SocketMessage.Embeds
SocketMessage.MentionedChannels
SocketMessage.MentionedRoles
SocketMessage.MentionedUsers
SocketMessage.Tags
SocketMessage.Reactions
SocketMessage.Timestamp
SocketMessage.DeleteAsync(RequestOptions)
SocketMessage.ToString()
SocketMessage.IMessage.Author
SocketMessage.IMessage.Channel
SocketMessage.IMessage.Type
SocketMessage.IMessage.Attachments
SocketMessage.IMessage.Embeds
SocketMessage.IMessage.MentionedChannelIds
SocketMessage.IMessage.MentionedRoleIds
SocketMessage.IMessage.MentionedUserIds
SocketMessage.AddReactionAsync(IEmote, RequestOptions)
SocketMessage.RemoveReactionAsync(IEmote, IUser, RequestOptions)
SocketMessage.RemoveReactionAsync(IEmote, UInt64, RequestOptions)
SocketMessage.RemoveAllReactionsAsync(RequestOptions)
SocketMessage.GetReactionUsersAsync(IEmote, Int32, RequestOptions)
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketSystemMessage : SocketMessage, ISystemMessage, IMessage, ISnowflakeEntity, IEntity<ulong>, IDeletable

### Properties

| Improve this Doc View Source

#### Type

##### Declaration

    public MessageType Type { get; }

##### Property Value

Type | Description
--- | ---
MessageType |

### Implements

ISystemMessage
IMessage
ISnowflakeEntity
IEntity<TId>
IDeletable